From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/qgis/, sci-geosciences/qgis/files/
Date: Sun, 19 Feb 2017 14:55:50 +0000 (UTC) [thread overview]
Message-ID: <1487515521.46729cd305c67a09c77066c6bf0caa12e39ca522.asturm@gentoo> (raw)
commit: 46729cd305c67a09c77066c6bf0caa12e39ca522
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 19 12:21:05 2017 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Feb 19 14:45:21 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46729cd3
sci-geosciences/qgis: Fix QtWebKit automagic
Cleanup DEPENDs and src_configure.
Gentoo-bug: 609148
Reported-by: Luis Ressel <aranea <AT> aixah.de>
Package-Manager: portage-2.3.3
.../qgis/files/qgis-2.18.3-webkit.patch | 112 ++++++++++++
sci-geosciences/qgis/qgis-2.18.3-r1.ebuild | 190 +++++++++++++++++++++
2 files changed, 302 insertions(+)
diff --git a/sci-geosciences/qgis/files/qgis-2.18.3-webkit.patch b/sci-geosciences/qgis/files/qgis-2.18.3-webkit.patch
new file mode 100644
index 0000000000..971ffde83a
--- /dev/null
+++ b/sci-geosciences/qgis/files/qgis-2.18.3-webkit.patch
@@ -0,0 +1,112 @@
+commit 222ae663e6ee6f718e45faafd63758c319fec135
+Author: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
+Date: Sun Feb 19 12:51:48 2017 +0100
+
+ Fix QtWebKit automagic
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 3936521..4268019 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -288,6 +288,10 @@ ELSE()
+ MESSAGE(STATUS "Found Qt version: ${QTVERSION}")
+ ENDIF()
+
++IF(WITH_QTWEBKIT)
++ SET(OPTIONAL_QTWEBKIT ${QT_QTWEBKIT_LIBRARY})
++ENDIF(WITH_QTWEBKIT)
++
+ IF (WITH_QTMOBILITY)
+ FIND_PACKAGE(QtMobility 1.1.0)
+ ENDIF (WITH_QTMOBILITY)
+diff --git a/src/app/CMakeLists.txt b/src/app/CMakeLists.txt
+index 15579de..b6ef545 100644
+--- a/src/app/CMakeLists.txt
++++ b/src/app/CMakeLists.txt
+@@ -609,7 +609,7 @@ TARGET_LINK_LIBRARIES(qgis_app
+ ${QWT_LIBRARY}
+ ${QT_QTSQL_LIBRARY}
+ ${QT_QTUITOOLS_LIBRARY}
+- ${QT_QTWEBKIT_LIBRARY}
++ ${OPTIONAL_QTWEBKIT}
+ #should only be needed for win
+ ${QT_QTMAIN_LIBRARY}
+ ${QWTPOLAR_LIBRARY}
+diff --git a/src/browser/CMakeLists.txt b/src/browser/CMakeLists.txt
+index e53c1de..1a72070 100644
+--- a/src/browser/CMakeLists.txt
++++ b/src/browser/CMakeLists.txt
+@@ -80,7 +80,7 @@ TARGET_LINK_LIBRARIES(qbrowser
+ ${QT_QTNETWORK_LIBRARY}
+ ${QT_QTSVG_LIBRARY}
+ ${QT_QTXML_LIBRARY}
+- ${QT_QTWEBKIT_LIBRARY}
++ ${OPTIONAL_QTWEBKIT}
+ ${QT_QTMAIN_LIBRARY}
+ ${SQLITE3_LIBRARY}
+ )
+diff --git a/src/core/CMakeLists.txt b/src/core/CMakeLists.txt
+index e2d9ae8..cd8e305 100644
+--- a/src/core/CMakeLists.txt
++++ b/src/core/CMakeLists.txt
+@@ -981,7 +981,7 @@ TARGET_LINK_LIBRARIES(qgis_core
+ ${QT_QTGUI_LIBRARY}
+ ${QT_QTNETWORK_LIBRARY}
+ ${QT_QTSVG_LIBRARY}
+- ${QT_QTWEBKIT_LIBRARY}
++ ${OPTIONAL_QTWEBKIT}
+ ${QT_QTSQL_LIBRARY}
+ ${QCA_LIBRARY}
+
+diff --git a/src/helpviewer/CMakeLists.txt b/src/helpviewer/CMakeLists.txt
+index cec5ad1..ffd0966 100644
+--- a/src/helpviewer/CMakeLists.txt
++++ b/src/helpviewer/CMakeLists.txt
+@@ -68,7 +68,7 @@ TARGET_LINK_LIBRARIES(qgis_help
+ ${QT_QTNETWORK_LIBRARY}
+ ${QT_QTSVG_LIBRARY}
+ ${QT_QTXML_LIBRARY}
+- ${QT_QTWEBKIT_LIBRARY}
++ ${OPTIONAL_QTWEBKIT}
+ ${QT_QTMAIN_LIBRARY}
+ ${SQLITE3_LIBRARY}
+ )
+diff --git a/tests/bench/CMakeLists.txt b/tests/bench/CMakeLists.txt
+index b605a6a..aa45a27 100644
+--- a/tests/bench/CMakeLists.txt
++++ b/tests/bench/CMakeLists.txt
+@@ -35,7 +35,7 @@ TARGET_LINK_LIBRARIES(qgis_bench
+ ${QT_QTNETWORK_LIBRARY}
+ ${QT_QTSVG_LIBRARY}
+ ${QT_QTXML_LIBRARY}
+- ${QT_QTWEBKIT_LIBRARY}
++ ${OPTIONAL_QTWEBKIT}
+ ${QT_QTMAIN_LIBRARY}
+ ${QT_QTTEST_LIBRARY}
+ )
+diff --git a/tests/src/gui/CMakeLists.txt b/tests/src/gui/CMakeLists.txt
+index f1c823a..94d8692 100644
+--- a/tests/src/gui/CMakeLists.txt
++++ b/tests/src/gui/CMakeLists.txt
+@@ -102,7 +102,7 @@ MACRO (ADD_QGIS_TEST testname testsrc)
+ ${QT_QTSVG_LIBRARY}
+ ${QT_QTTEST_LIBRARY}
+ ${QT_QTNETWORK_LIBRARY}
+- ${QT_QTWEBKIT_LIBRARY}
++ ${OPTIONAL_QTWEBKIT}
+ ${QT_QTMAIN_LIBRARY}
+ ${PROJ_LIBRARY}
+ ${GEOS_LIBRARY}
+diff --git a/tests/src/providers/CMakeLists.txt b/tests/src/providers/CMakeLists.txt
+index 7e8b2e9..0388150 100644
+--- a/tests/src/providers/CMakeLists.txt
++++ b/tests/src/providers/CMakeLists.txt
+@@ -124,7 +124,7 @@ IF(UNIX AND NOT ANDROID AND CMAKE_BUILD_TYPE MATCHES Debug)
+ ${QT_QTNETWORK_LIBRARY}
+ ${QT_QTSVG_LIBRARY}
+ ${QT_QTXML_LIBRARY}
+- ${QT_QTWEBKIT_LIBRARY}
++ ${OPTIONAL_QTWEBKIT}
+ ${QT_QTMAIN_LIBRARY}
+ ${QT_QTSCRIPT_LIBRARY}
+ qgis_core
diff --git a/sci-geosciences/qgis/qgis-2.18.3-r1.ebuild b/sci-geosciences/qgis/qgis-2.18.3-r1.ebuild
new file mode 100644
index 0000000000..974963537f
--- /dev/null
+++ b/sci-geosciences/qgis/qgis-2.18.3-r1.ebuild
@@ -0,0 +1,190 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+
+inherit cmake-utils eutils fdo-mime gnome2-utils python-single-r1
+
+DESCRIPTION="User friendly Geographic Information System"
+HOMEPAGE="http://www.qgis.org/"
+SRC_URI="
+ http://qgis.org/downloads/qgis-${PV}.tar.bz2
+ examples? ( http://download.osgeo.org/qgis/data/qgis_sample_data.tar.gz )"
+
+LICENSE="GPL-2+ GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples georeferencer grass mapserver oracle postgres python webkit"
+
+REQUIRED_USE="
+ grass? ( python )
+ mapserver? ( python )
+ python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+ app-crypt/qca:2[qt4,ssl]
+ >=dev-db/spatialite-4.1.0
+ dev-db/sqlite:3
+ dev-libs/expat
+ dev-libs/qjson
+ dev-qt/designer:4
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtscript:4
+ dev-qt/qtsvg:4
+ dev-qt/qtsql:4
+ sci-libs/gdal:=[geos,oracle?,python?,${PYTHON_USEDEP}]
+ sci-libs/geos
+ sci-libs/libspatialindex:=
+ sci-libs/proj
+ x11-libs/qscintilla:=[qt4(-)]
+ >=x11-libs/qwt-6.1.2:6=[svg,qt4(-)]
+ >=x11-libs/qwtpolar-1[qt4(-)]
+ georeferencer? ( sci-libs/gsl:= )
+ grass? ( >=sci-geosciences/grass-7.0.0:= )
+ mapserver? ( dev-libs/fcgi )
+ oracle? ( dev-db/oracle-instantclient:= )
+ postgres? ( dev-db/postgresql:= )
+ python? ( ${PYTHON_DEPS}
+ dev-python/future[${PYTHON_USEDEP}]
+ dev-python/httplib2[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/markupsafe[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/PyQt4[X,sql,svg,webkit?,${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/qscintilla-python[qt4(+),${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ <dev-python/sip-4.19:=[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ postgres? ( dev-python/psycopg:2[${PYTHON_USEDEP}] )
+ )
+ webkit? ( dev-qt/qtwebkit:4 )
+"
+DEPEND="${COMMON_DEPEND}
+ sys-devel/bison
+ sys-devel/flex
+"
+RDEPEND="${COMMON_DEPEND}
+ sci-geosciences/gpsbabel
+"
+
+# Disabling test suite because upstream disallow running from install path
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-app-icon.patch
+ "${FILESDIR}"/${P}-webkit.patch
+)
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ cd src/plugins || die
+ use georeferencer || cmake_comment_add_subdirectory "georeferencer"
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DQGIS_MANUAL_SUBDIR=/share/man/
+ -DBUILD_SHARED_LIBS=ON
+ -DQGIS_LIB_SUBDIR=$(get_libdir)
+ -DQGIS_PLUGIN_SUBDIR=$(get_libdir)/qgis
+ -DQWT_INCLUDE_DIR=/usr/include/qwt6
+ -DQWT_LIBRARY=/usr/$(get_libdir)/libqwt6-qt4.so
+ -DWITH_INTERNAL_DATEUTIL=OFF
+ -DWITH_INTERNAL_FUTURE=OFF
+ -DWITH_INTERNAL_HTTPLIB2=OFF
+ -DWITH_INTERNAL_JINJA2=OFF
+ -DWITH_INTERNAL_MARKUPSAFE=OFF
+ -DWITH_INTERNAL_PYGMENTS=OFF
+ -DWITH_INTERNAL_PYTZ=OFF
+ -DWITH_INTERNAL_QWTPOLAR=OFF
+ -DWITH_INTERNAL_SIX=OFF
+ -DWITH_INTERNAL_YAML=OFF
+ -DPEDANTIC=OFF
+ -DWITH_APIDOC=OFF
+ -DWITH_QSPATIALITE=ON
+ -DENABLE_TESTS=OFF
+ -DWITH_BINDINGS="$(usex python)"
+ -DWITH_GRASS7="$(usex grass)"
+ -DGRASS_PREFIX7=/usr/$(get_libdir)/grass70
+ -DWITH_ORACLE="$(usex oracle)"
+ -DWITH_POSTGRESQL="$(usex postgres)"
+ -DWITH_PYSPATIALITE="$(usex python)"
+ -DWITH_SERVER="$(usex mapserver)"
+ -DWITH_QTWEBKIT="$(usex webkit)"
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ domenu debian/qgis.desktop
+
+ local size type
+ for size in 16 22 24 32 48 64 96 128 256; do
+ newicon -s ${size} debian/${PN}-icon${size}x${size}.png ${PN}.png
+ newicon -c mimetypes -s ${size} debian/${PN}-mime-icon${size}x${size}.png ${PN}-mime.png
+ for type in qgs qml qlr qpt; do
+ newicon -c mimetypes -s ${size} debian/${PN}-${type}${size}x${size}.png ${PN}-${type}.png
+ done
+ done
+ newicon -s scalable images/icons/qgis_icon.svg qgis.svg
+
+ insinto /usr/share/mime/packages
+ doins debian/qgis.xml
+
+ if use examples; then
+ docinto examples
+ dodoc -r "${WORKDIR}"/qgis_sample_data/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ if use python; then
+ python_optimize "${ED%/}"/usr/share/qgis/python
+
+ if use grass; then
+ python_fix_shebang "${ED%/}"/usr/share/qgis/grass/scripts
+ fi
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ if use postgres; then
+ elog "If you don't intend to use an external PostGIS server"
+ elog "you should install:"
+ elog " dev-db/postgis"
+ elif use python; then
+ elog "Support of PostgreSQL is disabled."
+ elog "But some installed python-plugins import the psycopg2 module."
+ elog "If you do not need these plugins just disable them"
+ elog "in the Plugins menu, else you need to set USE=\"postgres\""
+ fi
+
+ gnome2_icon_cache_update
+ fdo-mime_mime_database_update
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ fdo-mime_mime_database_update
+ fdo-mime_desktop_database_update
+}
next reply other threads:[~2017-02-19 14:56 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-02-19 14:55 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-08 13:31 [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/qgis/, sci-geosciences/qgis/files/ Andreas Sturmlechner
2023-08-23 7:55 Andreas Sturmlechner
2020-12-22 22:54 Andreas Sturmlechner
2020-11-23 22:10 Andreas Sturmlechner
2020-11-20 20:40 Andreas Sturmlechner
2020-10-23 23:27 Andreas Sturmlechner
2020-02-09 17:41 Andreas Sturmlechner
2019-11-20 17:46 Andreas Sturmlechner
2019-04-28 15:27 Andreas Sturmlechner
2018-06-24 13:18 Andreas Sturmlechner
[not found] <1523569335.91435c00d97ec375328fdc6b56d03fb98e0b4adc.asturm@gentoo>
2018-04-12 21:42 ` Andreas Sturmlechner
2018-03-28 21:46 Andreas Sturmlechner
2018-03-05 6:06 Andreas Sturmlechner
2017-12-21 2:38 Andreas Sturmlechner
2017-08-26 19:19 Andreas Sturmlechner
2017-07-01 15:56 Andreas Sturmlechner
2017-06-04 10:25 Andreas Sturmlechner
2017-04-09 20:42 Andreas Sturmlechner
2017-02-19 22:01 Andreas Sturmlechner
2017-02-19 14:55 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1487515521.46729cd305c67a09c77066c6bf0caa12e39ca522.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox